%define upstream_name    Sys-Proctitle
%define upstream_version 0.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15

Summary:	Sys::Proctitle - modify proctitle on Linux
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/O/OP/OPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::Member)
BuildRequires:	perl-devel


%description
"Sys::Proctitle" provides an interface for setting the process title
shown by "ps", "top" or similar tools on Linux. Why do we need this? One
could simply change $0 to achieve the same result. Well, first setting
$0 did not work with 5.8.0. Further, setting $0 won't work with
mod_perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%dir %{perl_vendorlib}/*/auto/Sys/Proctitle
%{perl_vendorlib}/*/Sys/Proctitle.pm
%{perl_vendorlib}/*/auto/Sys/Proctitle/Proctitle.so
%{perl_vendorlib}/*/auto/Sys/Proctitle/setproctitle.so
%{_mandir}/*/*


%changelog
* Sat Jun 03 2017 akien <akien> 0.40.0-15.mga6
+ Revision: 1106044
- Don't run tests in parallel, may cause race condition

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-14.mga6
+ Revision: 1033599
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.40.0-13.mga6
+ Revision: 958019
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.40.0-12.mga6
+ Revision: 845302
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.40.0-11.mga6
+ Revision: 841569
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-10.mga5
+ Revision: 748502
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-9.mga5
+ Revision: 686290
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-8.mga5
+ Revision: 631735
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-7.mga4
+ Revision: 524506
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-6.mga4
+ Revision: 430965
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-5.mga3
+ Revision: 372982
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-4.mga3
+ Revision: 251183
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.40.0-3.mga2
+ Revision: 105000
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.40.0-2.mga1
+ Revision: 31211
- mageia rebuild
- imported package perl-Sys-Proctitle

